Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Class ViewerLabel

    java.lang.Object
      org.eclipse.jface.viewers.ViewerLabel

public class ViewerLabel
extends Object

The ViewerLabel is the class that is passed to a viewer to handle updates of labels. It keeps track of both original and updates text.

Since:
  3.0
See Also:
  `IViewerLabelProvider`

Constructor Summary
`ViewerLabel(String initialText, Image initialImage)`

Method Summary
`Image` | `getImage()` Get the image for the receiver.
`String` | `getText()` Get the text for the receiver.
`boolean` | `hasNewImage()` Return whether or not the image has been set.
`boolean` | `hasNewText()` Return whether or not the text has been set.
`void` | `setImage(Image image)` Set the image for the receiver.
`void` | `setText(String text)` Set the text for the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewerLabel

    public ViewerLabel(String initialText,
                       Image initialImage)

Method Detail

### getImage

    public final Image getImage()

  Get the image for the receiver. If the new image has been set return it, otherwise return the starting image.

  Returns:
    Returns the image.

### setImage

    public final void setImage(Image image)

  Set the image for the receiver.

  Parameters:
    `image` - The image to set.

### getText

    public final String getText()

  Get the text for the receiver. If the new text has been set return it, otherwise return the starting text.

  Returns:
    Returns the text.

### setText

    public final void setText(String text)

  Set the text for the receiver.

  Parameters:
    `text` - The label to set.

### hasNewImage

    public boolean hasNewImage()

  Return whether or not the image has been set.

  Returns:
    boolean. true if the image has been set to something new.

### hasNewText

    public boolean hasNewText()

  Return whether or not the text has been set.

  Returns:
    boolean. true if the text has been set to something new.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.